Bug 1321413 - Makefile generated by Python3 version of sphinx-quickstart-3 is not usable out of the box
Summary: Makefile generated by Python3 version of sphinx-quickstart-3 is not usable ou...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sphinx
Version: 22
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-26 13:43 UTC by Tomáš Hozza 🤓
Modified: 2016-08-27 10:35 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-21 23:22:18 UTC


Attachments (Terms of Use)

Description Tomáš Hozza 🤓 2016-03-26 13:43:03 UTC
Description of problem:
Makefile generated by Python3 version of sphinx-quickstart-3 is not usable out of the box. When I generate documentation for my new project using sphinx-quickstart-3, the generated Makefile does not work.

$ make
Makefile:12: *** The 'sphinx-build' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the 'sphinx-build' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/.  Stop.

Version-Release number of selected component (if applicable):
python3-sphinx-1.2.3-3.fc22.noarch

How reproducible:
always

Steps to Reproduce:
1. run sphinx-quickstart-3
2. run 'make'

Actual results:
$ make
Makefile:12: *** The 'sphinx-build' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the 'sphinx-build' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/.  Stop.

Expected results:
Makefile should be working!

Additional info:

Comment 1 Tomáš Hozza 🤓 2016-03-26 13:58:30 UTC
https://fedorahosted.org/fpc/ticket/612

Comment 2 Tomáš Hozza 🤓 2016-03-29 13:26:24 UTC
Hi.

During the discussion in https://fedorahosted.org/fpc/ticket/612, Petr Viktorin advised that the cleanest solution may be to convince upstream to use "python3 -m <module>" syntax in generated Makefile instead of directly using sphinx-build. Of course the interpreter in Makefile would be then the same as was used to invoke sphinx-quickstart.

Comment 3 Fedora End Of Life 2016-07-19 19:25:13 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Fedora Update System 2016-08-12 19:39:21 UTC
python-sphinx-1.4.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8856ce7a2d

Comment 5 Fedora Update System 2016-08-12 19:42:09 UTC
python-sphinx-1.4.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0365a31f5c

Comment 6 Fedora Update System 2016-08-12 22:52:26 UTC
python-sphinx-1.4.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0365a31f5c

Comment 7 Fedora Update System 2016-08-14 00:22:20 UTC
python-sphinx-1.4.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8856ce7a2d

Comment 8 Fedora Update System 2016-08-21 23:22:05 UTC
python-sphinx-1.4.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-08-27 10:35:05 UTC
python-sphinx-1.4.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.